Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class NativeJavaMap

    java.lang.Object
      org.mozilla.javascript.NativeJavaObject
          org.eclipse.birt.core.script.NativeJavaMap

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Wrapper

Direct Known Subclasses:
  NativeJavaLinkedHashMap

    public class NativeJavaMap

extends org.mozilla.javascript.NativeJavaObject

Represents the scriptable object for Java object which implements the interface `Map`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.NativeJavaObject
`javaObject, members, parent, prototype, staticType`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`NativeJavaMap()`
`NativeJavaMap(org.mozilla.javascript.Scriptable scope, java.lang.Object javaObject, java.lang.Class staticType)`

Method Summary
`void` | `delete(java.lang.String name)`
`java.lang.Object` | `get(int index, org.mozilla.javascript.Scriptable start)`
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.Object[]` | `getIds()`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`void` | `put(int index, org.mozilla.javascript.Scriptable start, java.lang.Object value)`
`void` | `put(java.lang.String name, org.mozilla.javascript.Scriptable start, java.lang.Object value)`

Methods inherited from class org.mozilla.javascript.NativeJavaObject
`canConvert, coerceType, delete, getClassName, getDefaultValue, getParentScope, getPrototype, has, hasInstance, initMembers, setParentScope, setPrototype, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeJavaMap

    public NativeJavaMap()

### NativeJavaMap

    public NativeJavaMap(org.mozilla.javascript.Scriptable scope,
                         java.lang.Object javaObject,
                         java.lang.Class staticType)

Method Detail

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `has` in class `org.mozilla.javascript.NativeJavaObject`

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `org.mozilla.javascript.NativeJavaObject`

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `put` in class `org.mozilla.javascript.NativeJavaObject`

### delete

    public void delete(java.lang.String name)

  Specified by:
    `delete` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `delete` in class `org.mozilla.javascript.NativeJavaObject`

### get

    public java.lang.Object get(int index,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `org.mozilla.javascript.NativeJavaObject`

### put

    public void put(int index,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `put` in class `org.mozilla.javascript.NativeJavaObject`

### getIds

    public java.lang.Object[] getIds()

  Specified by:
    `getIds` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getIds` in class `org.mozilla.javascript.NativeJavaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.